Warning: Package XXX does not have AutoMLPipeline in its dependencies:

使用PkgTemplates建立一个自己的包XXX,现在using XXX的时候出现下面警告,大家遇到过这样问题吗?

 Warning: Package XXX does not have AutoMLPipeline in its dependencies:
│ - If you have XXX checked out for development and have
│   added AutoMLPipeline as a dependency but haven't updated your primary
│   environment's manifest file, try `Pkg.resolve()`.
│ - Otherwise you may need to report an issue with XXX
└ Loading AutoMLPipeline into XXX from project dependency, future warnings for XXX are suppressed.
[ Info: Model metadata loaded from registry.

阿,解决了…
cd XXX.jl

然后

julia> ]
(@v1.7) pkg> activate .
  Activating environment at `~/your/path/XXX.jl/Project.toml`

#接着, 添加XXX所依赖的包

(XXX) pkg> add AutoMLPipeline
(XXX) pkg> resolve

然后using XXX的时候就不会出上面的警告了

1赞

XXX 的所有依赖都需要记录在 XXX.jl/Project.toml 里面

1赞

京ICP备17009874号-2